"use strict";
var common_vendor = require("../../common/vendor.js");
const LuckyWheel = () => "../../node-modules/@lucky-canvas/uni/lucky-wheel.js";
const _sfc_main = {
  components: {
    LuckyWheel
  },
  data() {
    return {
      blocks: [
        {
          padding: "0px",
          background: "#ffe6e6",
          imgs: [{
            src: "https://vkceyugu.cdn.bspapp.com/VKCEYUGU-4052539d-ef26-4712-bab0-883670e873c5/bc6e0828-edd3-406b-b32e-660e9c72b927.png",
            width: "100%",
            height: "100%"
          }]
        }
      ],
      prizes: [
        {
          fonts: [{
            text: "0",
            top: "10%"
          }],
          background: "#e9e8fe"
        },
        {
          fonts: [{
            text: "1",
            top: "10%"
          }],
          background: "#b8c5f2"
        },
        {
          fonts: [{
            text: "2",
            top: "10%"
          }],
          background: "#e9e8fe"
        },
        {
          fonts: [{
            text: "3",
            top: "10%"
          }],
          background: "#b8c5f2"
        },
        {
          fonts: [{
            text: "4",
            top: "10%"
          }],
          background: "#e9e8fe"
        },
        {
          fonts: [{
            text: "5",
            top: "10%"
          }],
          background: "#b8c5f2"
        }
      ],
      buttons: [
        {
          radius: "50px",
          background: "#617df2"
        },
        {
          radius: "45px",
          background: "#afc8ff"
        },
        {
          radius: "40px",
          background: "#869cfa",
          pointer: true,
          fonts: [{
            text: "\u5F00\u59CB\n\u62BD\u5956",
            top: "-20px"
          }]
        }
      ]
    };
  },
  methods: {
    startCallBack() {
      this.$refs.myLucky.play();
      setTimeout(() => {
        const index = 0;
        this.$refs.myLucky.stop(index);
      }, 3e3);
    },
    endCallBack(prize) {
      console.log(prize);
    }
  }
};
if (!Array) {
  const _component_LuckyWheel = common_vendor.resolveComponent("LuckyWheel");
  _component_LuckyWheel();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.sr("myLucky", "881dbfac-0"),
    b: common_vendor.o($options.startCallBack),
    c: common_vendor.o($options.endCallBack),
    d: common_vendor.p({
      width: "600rpx",
      height: "600rpx",
      blocks: $data.blocks,
      prizes: $data.prizes,
      buttons: $data.buttons,
      defaultStyle: _ctx.defaultStyle
    })
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "D:/project/uniapp/test/pages/index/index.vue"]]);
wx.createPage(MiniProgramPage);
